Package de.willuhn.jameica.hbci.gui.action

# Class Export

java.lang.Object
de.willuhn.jameica.hbci.gui.action.Export

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

Direct Known Subclasses:
  `AuslandsUeberweisungExport`, `KontoauszugExport`, `KontoExport`, `LastschriftExport`, `SepaLastschriftExport`, `UeberweisungExport`

public class Export extends Object implements de.willuhn.jameica.gui.Action
Generische Action zum Starten eines Exports.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

## Constructor Summary

Constructors
Constructor
Description
`Export(Class type)`
ct.
`Export(Class type, Object data)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### Export

public Export(Class type)
ct.

Parameters:
  `type` - der zu exportierende Typ.

### Export

public Export(Class type, Object data)
ct.

Parameters:
  `type` - der zu exportierende Typ.
  `data` - die zu exportierenden Daten. Wenn angegeben, haben sie Vorrang vor denen in handleAction.

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`